=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
DEB_SRC_BUILD_PROG:=dpkg-buildpackage -rfakeroot -S -sa

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) -C client/getltscfg
	$(MAKE) -C po update-po
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) -C client/getltscfg clean
    
    # Using po specific Makefile to clean message catalogs
	$(MAKE) -C po clean

    # Debconf translation update
	debconf-updatepo

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

    # Using po specific Makefile to install message catalogs
	$(MAKE) -C po install DESTDIR=$(CURDIR)/debian/ltsp-server/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i -Xarch-ids
	dh_installdebconf -i	
	dh_installinit -i --no-start
	dh_installman -pltsp-server -pltsp-client -pldm
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installdebconf -a
	dh_installinit -a --no-start
	dh_installinit -pltsp-client --name=ltsp-client-setup --no-start -u"start 32 S ."
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

bzr-release:
	rm -rf ../ltsp-$(DEBVER)
	bzr export ../ltsp-$(DEBVER)
	(cd ../ltsp-$(DEBVER); $(DEB_SRC_BUILD_PROG))

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install bzr-release
