## ltsp 5.0.7.1

=== debian/changelog ===
ltsp (5.0.7.1) feisty-security; urgency=low

  * fix CVE-2008-1293 (LP: #227295) that made unauthenticated access to the
    local X server on the client possible.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue,  6 May 2008 16:34:24 +0000
