## ltsp 5.0.39

=== debian/changelog ===
ltsp (5.0.39) gutsy; urgency=low

  * we want to move the compression log in d-i to target, not taget *sigh*

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 08 Oct 2007 11:14:01 +0200

ltsp (5.0.38) gutsy; urgency=low

  * move interface configuration in the installer before the ltsp-build-client
    run and bring the interface up, so ssh keys are generated properly later
    hopefully helps with LP: #145514

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 05 Oct 2007 19:13:39 +0200

ltsp (5.0.37) gutsy; urgency=low

  * revert the ltsp-build-client behavior of the d-i progress bar to teh
    feisty behavior, together with the new compress progressbar that should
    suffice to fix LP: #121547

  * ignore getltscfg if it fails during boot, so we dont need dummy entries 
    in "comment only" lts.conf files in the future

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 05 Oct 2007 18:03:54 +0200

ltsp (5.0.36) gutsy; urgency=low

  * fix most of the d-i progressbar issues and broken whitespace in
    debian/ltsp-client-builder.postinst
  * add a dummy entry to the default lts.conf to quiten down getltscfg on
    client boots

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 02 Oct 2007 22:22:53 +0200

ltsp (5.0.35) gutsy; urgency=low

  * change debconf frontend to noninteractive in the Ubuntu/095-update-image plugin
    fixes LP: #144296
  * fix sed quoting in ltsp-update-image so we dont end up with $PORT but the
    actual portnumber in the pxe config.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 02 Oct 2007 13:54:42 +0200

ltsp (5.0.34) gutsy; urgency=low

  * make sure the udeb waits until ltsp-update-image is finished

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 26 Sep 2007 18:08:21 +0200

ltsp (5.0.33) gutsy; urgency=low

  * disable d-i output for ltsp-update-image temporary to not risk beta release
    lauchpad bug #121547 will be fixed afterwards.

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 26 Sep 2007 13:29:09 +0200

ltsp (5.0.32) gutsy; urgency=low

  * move nfs handling plugin (095-exports) from common to Debian plugin dir
    we dont use nfs-kernel-server anymore, no need to restart it or mangle
    /etc/exports, leave that to debian :)
  * dont try to move files from the udeb postinst if they dont exist so the
    installer doesnt stop.

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 26 Sep 2007 12:50:17 +0200

ltsp (5.0.31) gutsy; urgency=low

  [Oliver Grawert <ogra@ubuntu.com>]
  * change mknbi dependency to mkelfimage for full LinuxBIOS support
  * add libgl1-mesa-dri to ltsp-client dependencies for compiz support
    out of the box.

  [Scott Balneaves <sbalneav@ltsp.org>]
  * Test failure of X autoconf add X_OPTIONS_**  parameters. A buggy
    via driver revealed this. Won't cause any delay on a sane driver.

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 19 Sep 2007 18:21:03 +0200

ltsp (5.0.30) gutsy; urgency=low

  * dont try to write to non existing dirs in the chroot from
    ltsp-update-image (thanks lamont !)
  * fix issue with doubleslashes in ltsp-update-image

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 13 Sep 2007 22:22:57 +0200

ltsp (5.0.29) gutsy; urgency=low

  [Oliver Grawert <ogra@ubuntu.com>]
  * fix setting of SERVER with nbd roots, closes LP: #139059
  * remove screensaver handling from ldm, gnome-screensaver konws what to do
    now

  [Scott Balneaves <sbalneav@ltsp.org>]
  * enable compiz by default (leave it to Xsession on the server to decide)

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 13 Sep 2007 16:10:50 +0200

ltsp (5.0.28) gutsy; urgency=low

  [Oliver Grawert <ogra@ubuntu.com>]
  * mkfifo isnt available in d-i, use mknod instead in the udeb
  * fix ltsp-update-image to handle existing inetd.conf entries properly
  * Empty out lts.conf, we detect evrything that was in there automatically
    and enable it if the corresponding app is in the chroot
  * Add long note to old lts.conf about the new location in the tftp dir

  [Scott Balneaves <sbalneav@ltsp.org>]
  * bug pointed out by vagrantc: running ltsp-update-image on a chroot that
    isn't going to be nbd mounted shouldn't error out
  * Patch to disallow SCREEN_01 (used by upstart and source for probs)
  * Eliminate call to awk, should be ulimit -m not -v for the
    XRAMPERC client limit
  * Little more cleanup on shell and telnet screen scripts, remove bash
    references
  * Instead of starting for all, start for just screens available


 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 12 Sep 2007 12:01:25 +0200

ltsp (5.0.27) gutsy; urgency=low

  * add new 010-debconf-frontend to Ubuntu to make the udeb
    changes actually work.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 06 Sep 2007 15:11:12 +0200

ltsp (5.0.26) gutsy; urgency=low

  [Oliver Grawert <ogra@ubuntu.com>]
  * new udeb postinst (and new template) added, fixes (LP: #121547)
    we have full progress reporting in teh installer now :)
  * added option --skipimage to ltsp-build-client to supress ltsp-update-image
    execution in d-i (we run it separately in the udeb)
  * its not an error if the port is set in inetd.conf.

  [Scott Balneaves <sbalneav@ltsp.org>]
  * Close LP: #137461
  * added missing manpages for ltsp-update-image, and nbdrootd
  * Fix a couple of debian control issues
  * Fix bug with localdev: encrypt tunnel for X forwarding for all things.
    LDM_DIRECTX will override X, but all other communication should be
    encrypted
  * since we're zeroing /etc/hostname in the plugin, don't need to do it in
    the initramfs, add plugin to Ubuntu
  * fixing problem with hostnames not being set in the client, even if
    they're specified in dhcpd
  * Added ram limiting from old 4.2, fixed typo

  [Vagrant Cascadian <vagrant@freegeek.org>]
  * merged patch to set hostname from the initramfs
  * merge with scotts-gutsy, *except* keep debian logo.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 06 Sep 2007 13:24:27 +0200

ltsp (5.0.25) gutsy; urgency=low

  [Oliver Grawert <ogra@ubuntu.com>]
  * Clean up rc links for reboot and shutdown

