=== debian/control ===
Source: ltsp
Section: misc
Priority: extra
Maintainer: Oliver Grawert <ogra@ubuntu.com>
Uploaders: Ubuntu Core Developers <ubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 4), flex, bison, libpopt-dev, po-debconf, libgtk2.0-dev
Standards-Version: 3.7.2

Package: ltsp-server
Depends: ${misc:Depends}, debootstrap, lsb-release, tftpd-hpa, openssh-client | ssh, iproute, debconf-utils, python (>= 2.4), openbsd-inetd | inet-superserver, update-inetd, tcpd, gettext-base, nbd-server, squashfs-tools
Recommends: openssh-server | ssh, ltspfs
Suggests: dhcp3-server, sdm, audiooss, nfs-kernel-server
Conflicts: ltsp-utils
Replaces: ltsp-utils
Architecture: all
Description: Basic LTSP server environment
 This is the basic environment depending on an external DHCP server to
 point the clients to the LTSP server.

Package: ltsp-server-standalone
Depends: ltsp-server, dhcp3-server, libasound2-plugins, ltspfs, openssh-server, nbd-server, xbase-clients
Recommends: pulseaudio-esound-compat
Architecture: all
Description: Complete LTSP server environment
 This is the complete environment including a DHCP server to bootstrap
 the clients.
 
Package: ltsp-client-core
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: lsb-base, nbd-client, initramfs-tools (>= 0.11), syslinux [i386 amd64], mkelfimage[i386] | yaboot[powerpc] | aboot[alpha] | sparc-utils[sparc], lsb-release, kbd | console-tools, python, discover1, xresprobe, tftp-hpa
Architecture: any
Description: LTSP client environment
 The scripts needed to configure and boot an LTSP client.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client filesystem.

Package: ltsp-client
Depends: ltsp-client-core, ldm | sdm-terminal | x-display-manager, pulseaudio-esound-compat, ltspfsd, xserver-xorg, libgl1-mesa-glx, libglu1-mesa, libgl1-mesa-dri, xfonts-base, xbase-clients, xutils, xkb-data, xterm, laptop-detect, inputattach, usplash, dmz-cursor-theme, usplash-theme-ubuntu, libasound2-plugins
Recommends: ubuntu-thin-client
Suggests: cryptsetup
Architecture: all
Description: LTSP client environment
 The scripts needed to configure and boot an LTSP client.

Package: ldm
Depends: ${misc:Depends}, ${shlibs:Depends}, openssh-client | ssh, gtk2-engines-ubuntulooks, xserver-xorg | xserver
Architecture: any
Description: LTSP display manager
 ldm is an X11 display manager similar to xdm, gdm and kdm, but unlike
 those it wraps the X11 traffic within an ssh tunnel to provide a
 secure login mechanism for remote X sessions.  ldm provides access
 only through SSH, not locally. It is technically possible to use ldm
 to connect to the same host, but probably a waste of CPU power.
 .
 It was written to work with the LTSP project, but should work without
 LTSP as well.

Package: ltsp-client-builder
Section: debian-installer
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, pkgsel
XB-Installer-Menu-Item: 7000
Description: Build an LTSP environment in the installer target
 This udeb bootstraps the LTSP client chroot in the installer target 
 while the cdrom is still mounted.
