=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,11 @@
 	dh_testdir
 
 	$(MAKE) -C client/getltscfg
+	cd client/ldm2; ./configure --prefix=/usr; cd -
+	$(MAKE) -C client/ldm2
+	cd client/ldmgtkgreet; ./configure --prefix=/usr; cd -
+	$(MAKE) -C client/ldmgtkgreet
+
 	$(MAKE) -C po update-po
 	touch build-stamp
 
@@ -22,12 +27,14 @@
 	rm -f build-stamp
 
 	-$(MAKE) -C client/getltscfg clean
+	-$(MAKE) -C client/ldm2 clean
+	-$(MAKE) -C client/ldmgtkgreet clean
     
     # Using po specific Makefile to clean message catalogs
 	$(MAKE) -C po clean
 
     # Debconf translation update
-	#debconf-updatepo
+	debconf-updatepo
 
 	dh_clean
 
@@ -51,7 +58,7 @@
 	dh_install -i -Xarch-ids
 	dh_installdebconf -i	
 	dh_installinit -i --no-start
-	dh_installman -pltsp-server -pltsp-client -pldm
+	dh_installman -pltsp-server -pltsp-client-core -pldm
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
@@ -70,7 +77,7 @@
 	dh_install -a
 	dh_installdebconf -a
 	dh_installinit -a --no-start
-	dh_installinit -pltsp-client --name=ltsp-client-setup --no-start -u"start 32 S ."
+	dh_installinit -pltsp-client-core --name=ltsp-client-setup --no-start -u"start 32 S ."
 	dh_link -a
 	dh_strip -a
 	dh_compress -a
@@ -84,7 +91,12 @@
 bzr-release:
 	rm -rf ../ltsp-$(DEBVER)
 	bzr export ../ltsp-$(DEBVER)
-	(cd ../ltsp-$(DEBVER); $(DEB_SRC_BUILD_PROG))
+	(cd ../ltsp-$(DEBVER)/client/ldm2; ./autogen.sh; cd -)
+	(cd ../ltsp-$(DEBVER)/client/ldmgtkgreet; ./autogen.sh; cd -)
+	(cd ../ltsp-$(DEBVER); debian/rules controlgen; $(DEB_SRC_BUILD_PROG))
+
+controlgen:
+	debian/controlgen
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install bzr-release
