## ltsp 5.0.39.1

=== debian/changelog ===
ltsp (5.0.39.1) gutsy-security; urgency=low

  * fix CVE-2008-1293 (LP: #227295) that made unauthenticated access to the
    local X server on the client possible.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 06 May 2008 16:50:56 +0000
