=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	$(MAKE) -C po clean
 
     # Debconf translation update
-	debconf-updatepo
+	#debconf-updatepo
 
 	dh_clean
