## ltsp 5.2.4

=== debian/changelog ===
ltsp (5.2.4-2~bpo50+2) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Revert use of nbd-client -swap, as it requires a newer version of nbd.
  * Removed versioned dependency on nbd-client.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 17 Oct 2010 15:21:42 -0700

ltsp (5.2.4-2) unstable; urgency=low

  * Add patch to initramfs-tools nfs-bottom hook to configure DNS from DHCP
    values (Closes: #593770).

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 27 Aug 2010 14:04:54 -0700

ltsp (5.2.4-1) unstable; urgency=low

  * New upstream version:
    - ltsp-build-client: chroot_mount function: strip off / from specified
      mount points (Closes: #590268).  Thanks to Petter Reinholdtsen.
    - ltsp-build-client: simplify unmounting of /proc/sys/fs/binfmt_misc mount
      in chroot (Closes: #590318).  Patch by Petter Reinholdtsen. 
    - ltsp-chroot: fix argument processing for --arch and --base.
    - ltsp-init-common: Make missing file/dir warnings a little less alarming
      in bind_mounts function.
    - Add wrapper for rdesktop screen script to work with pasuspender.
    - initramfs-tools udhcpc hook: Set broadcast address (LP #604276).

  * Drop patch for /media/cdrom, applied upstream.
  * Update Standards-Version to 3.9.1, no changes necessary.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 31 Jul 2010 09:27:44 -0400

ltsp (5.2.3-2) unstable; urgency=high

  * Change /cdrom to /media/cdrom, to work with the new d-i paths
    (Closes: #589646).  Using urgency=high to fix this RC bug.
  * Disable package signature checking when installing from CD using
    the ltsp-client-builder udeb.
  * Use sleep 1 instead of sleep 0.1 to work with busybox
    (Closes: 589820).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 21 Jul 2010 21:44:40 +0200

ltsp (5.2.3-1) unstable; urgency=low

  * New upstream version:
    - ltsp-build-client:
      + Drop default whitelists for init scripts, as it doesn't work when used
        with insserv.
      + Ensure that /var/run and /var/lock are not cleaned when using tmpfs by
        setting RAMRUN and RAMLOCK in /etc/default/rcS (Closes: #575307).

    - ltsp-update-sshkeys:
      + Add -p flag to ltsp-update-sshkeys to specify sshd port on remote
        application servers.
      + Add support for specifying server:port for remote servers on the
        command line.

    - ltsp-chroot:
      + Rewrote to support commandline arguments and filesystem mounting.
        Thanks to Alkis Georgopoulos.

    - ltsp-client-setup:
      + Use module-stream-restore with newer versions of pulseaudio.
      + Do not configure localdev from ltsp-client-setup initscript, as it is
        now is handled by udev rules.
      + Use nbd-client's -swap parameter when using NBD swap.

    - initramfs-tools ltsp_nbd: 
      + Allow disabling nbd-proxy.
      + Disable nbd-proxy by default when RAM is limited.

    - Don't set LTSP_FATCLIENT for thin clients with limited RAM.
    - New Slovak (sk) translation by Slavko (Closes: #578688).

  * ltsp-client/ltsp-client-core: 
    - Add a versioned dependency on nbd-client to ensure -swap works properly.
    - Do not depend or suggest inputattach or joystick for s390 
      (Closes: #587607).
    - Only allow older versions of joystick package to satisfy depends or
      suggests, as newer versions do not include the inputattach binary.
    - Add kioskSession script, used by the kiosk screen.d script.

  * Convert from dpatch to source format "3.0 (quilt)".
  * Update Standards-Version to 3.9.0, no changes necessary.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 05 Jul 2010 22:40:33 -0700

ltsp (5.2.2-1) unstable; urgency=low

  * New upstream version: 
    - Initialize screen session tty with openvt.
    - Generate upstream changelog.
    - Fix ltsp-update-sshkeys by generating the thin-client's ssh_known_hosts
      files directly from the server's keys, rather than using ssh-keyscan.

    - Updated translations:
      + French (fr), by Jean-Baka Domelevo Entfellner (Closes: #571073).
      + French (fr), by Stephane Graber.
      + Japanese (ja), by Hideki Yamane (Closes: #577067).
      + Swedish (sv), by Martin Bagge (Closes: #577007).
      + German (de), by Wolfgang Schweer (Closes: #576784).
      + Portuguese (pt), by Américo Monteiro (Closes: #576450).
      + Russian (ru), by Yuri Kozlov (Closes: #576561).
      + Vietnamese (vi), by Clytie Siddall (Closes: #576506).
      + Spanish (es), by José L. Redrejo Rodríguez.
      + Italian (it), by Vincenzo Campanella.
      + Portuguese (pt), by Américo Monteiro (Closes: #576450).
      + Greek (el), by Alkis Georgopoulos.
      + Chinese (simplified) (zh_CN), by YunQiang Su.

  * Remove initialize-tty-with-openvt patch, applied upstream. 
  * Use ltsp-server.lintian-overrides instead of installing manually.
  * Add lintian override:
    - ltsp-client-core: init.d-script-missing-dependency-on-remote_fs
      + The whole LTSP filesystem is a remote filesystem.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 19 Apr 2010 15:08:07 -0700

ltsp (5.2.1-1) unstable; urgency=low

  * New upstream version:
    - Add SCREEN_DEFAULT parameter to select which screen script will be
      displayed at boot.
    - Improved sound support with rdesktop screen script.
    - Set default microphone volume to 40% if unspecified to avoid problems
      with sound feedback.
    - New "NBD_SWAP_THRESHOLD" lts.conf parameter, to automatically
      enable NBD_SWAP for clients with less RAM than that threshold.
    - Consistantly change NBD_PORT to NBD_SWAP_PORT and NBD_ROOT_PORT, and
      SWAP_SERVER to NBD_SWAP_SERVER where appropriate.
    - nbdswapd: Increase the default size to 64 MB.

    - Fat clients:
      + Option to enable NFS mounted home directories for fat clients.
      + Disable local devices when configured as a fat client.

    - Localapps:
      + Do not follow symlinks with sshfs mounted home directory by default.

    - ltsp-build-client:

