=== debian/control ===
Source: ltsp
Section: misc
Priority: extra
Maintainer: LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
Uploaders: Carlos Laviola <claviola@debian.org>, Oliver Grawert <ogra@ubuntu.com>, Petter Reinholdtsen <pere@debian.org>, Vagrant Cascadian <vagrant@debian.org>, Ryan Niebur <ryanryan52@gmail.com>
Build-Depends: debhelper (>= 7), flex, bison, libpopt-dev, po-debconf, pkg-config, libx11-dev, automake | automaken
Standards-Version: 3.9.1
Vcs-Bzr: nosmart+http://bzr.debian.org/bzr/pkg-ltsp/ltsp-debian-packaging/
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-ltsp/ltsp-debian-packaging/files
XS-DM-Upload-Allowed: yes
Homepage: http://ltsp.org

Package: ltsp-server
Depends: ${misc:Depends}, debootstrap, lsb-release, openssh-client, iproute | freebsd-net-tools, debconf-utils, python (>= 2.4), update-inetd, tcpd, gettext-base
Recommends: nfs-kernel-server, squashfs-tools, nbd-server (>= 1:2.9.6-2), openssh-server, tftpd-hpa | atftpd | dnsmasq (>= 2.41), openbsd-inetd | inet-superserver
Suggests: dhcp3-server | dnsmasq, libasound2-plugins, ltspfs, xauth, gnome-session | x-session-manager | x-window-manager, ldm-server, sdm, audiooss, pulseaudio-esound-compat | esound-clients | nas-bin, ltsp-docs, x11-utils, qemu-user-static
Conflicts: ltsp-utils
Replaces: ltsp-utils
Architecture: all
Description: basic LTSP server environment
 This is the basic environment including the minimal features necessary to
 build an LTSP environment.
 .
 It also recommends services needed for thin-clients to boot and mount
 filesystems over the network.
 .
 LTSP stands for 'Linux Terminal Server Project'.
 
Package: ltsp-server-standalone
Depends: ${misc:Depends}, ltsp-server, nfs-kernel-server, squashfs-tools, nbd-server (>= 1:2.9.6-2), openssh-server, tftpd-hpa | atftpd | dnsmasq (>= 2.41), openbsd-inetd | inet-superserver, dhcp3-server | dnsmasq, libasound2-plugins, ltspfs, xauth, gnome-session | x-session-manager | x-window-manager, ldm-server, x11-utils
Architecture: all
Description: complete LTSP server environment
 This is a complete LTSP server environment with all LTSP server features
 including a DHCP server, remote device access using ltspfs, remote sound using
 pulseaudio, network swap using NBD and more.
 .
 LTSP stands for 'Linux Terminal Server Project'.
 
Package: ltsp-client-core
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base, nbd-client [!kfreebsd-i386 !kfreebsd-amd64], initramfs-tools (>= 0.11) [!kfreebsd-i386 !kfreebsd-amd64], syslinux [i386 amd64], mkelfimage[i386] | mknbi[i386] | yaboot[powerpc] | aboot[alpha] | sparc-utils[sparc], tip22 [mips], lsb-release, kbd [!kfreebsd-i386 !kfreebsd-amd64] | console-tools [!kfreebsd-i386 !kfreebsd-amd64], python, tftp-hpa | tftp, console-setup
Suggests: ldm, pulseaudio-esound-compat, ltspfsd (>= 0.5.3), mdetect, alsa-utils, cryptsetup, libasound2-plugins, netcat-traditional | netcat, rdesktop, inputattach [!s390] | joystick (<< 20051019-6) [!s390], sshfs, python-serial, ntpdate, numlockx, sdm-terminal | x-display-manager, pulseaudio | esound | nas, sane-utils, cups-bsd
Architecture: any
Description: basic LTSP client environment
 This package provides the scripts needed to configure and boot a basic LTSP
 client.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client file system.
 .
 LTSP stands for 'Linux Terminal Server Project'.

Package: ltsp-client
Depends: ${misc:Depends}, ltsp-client-core, xorg, ldm, pulseaudio-esound-compat, ltspfsd (>= 0.5.3), mdetect, alsa-utils, cryptsetup, libasound2-plugins, netcat-traditional | netcat, rdesktop, inputattach [!s390] | joystick (<< 20051019-6) [!s390], sshfs, python-serial, ntpdate, numlockx, sane-utils, cups-bsd
Architecture: any
Description: complete LTSP client environment
 This package ensures that a complete LTSP client with a graphical user
 environment, remote audio and local device support is installed.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client file system.
 .
 LTSP stands for 'Linux Terminal Server Project'.

Package: ltsp-client-builder
Section: debian-installer
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, kbd-chooser, pkgsel
XB-Installer-Menu-Item: 7000
Description: build an LTSP environment in the installer target
 This udeb bootstraps the LTSP client chroot in the installer target 
 while the CD-ROM is still mounted.
 .
 LTSP stands for 'Linux Terminal Server Project'.
