=== debian/rules ===
#!/usr/bin/make -f

build: $(DPATCH_STAMPFN) build-stamp
build-stamp:
	dh --before dh_auto_configure build
	cd localapps; ./configure --prefix=/usr --libexecdir=/usr/lib; cd -
	cd nbd-proxy; ./configure --prefix=/usr --libexecdir=/usr/lib; cd -

	$(MAKE) -C client/getltscfg
	$(MAKE) -C localapps
	$(MAKE) -C nbd-proxy 
	$(MAKE) -C po update-po
	dh --after dh_auto_configure build

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f client/getltscfg/Makefile ] || $(MAKE) -C client/getltscfg clean

	[ ! -f localapps/Makefile ] || $(MAKE) -C localapps clean

	[ ! -f nbd-proxy/Makefile ] || $(MAKE) -C nbd-proxy clean

	# Using po specific Makefile to clean message catalogs
	$(MAKE) -C po clean

	# Debconf translation update
	debconf-updatepo

	chmod +x debian/bugs/ltsp-server/script

	dh_clean

install: build

	# Copy default and init scripts from upstream code
	cp $(CURDIR)/client/initscripts/ltsp-core $(CURDIR)/debian/ltsp-client-core.init
	cp $(CURDIR)/client/initscripts/ltsp-setup $(CURDIR)/debian/ltsp-client-core.ltsp-client-setup.init

	dh --before dh_installinit install
	dh_installinit -pltsp-client-core --name=ltsp-client-setup --no-start -u"start 32 S ."
	dh_installinit -a --no-start
	dh --after dh_installinit install

	# Using po specific Makefile to install message catalogs
	$(MAKE) -C po install DESTDIR=$(CURDIR)/debian/ltsp-server/

# Build architecture-independent files here.
binary-indep: build install
	dh binary-indep

# Build architecture-dependent files here.
binary-arch: build install
	dh binary-arch

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
