=== debian/watch ===
# ltsp currently doesn't release tarballs. the latest version can be found by
# checking the following URL:
# http://bazaar.launchpad.net/~ltsp-upstream/ltsp/ltsp-trunk/annotate/head:/release.conf

version=3

# check versions uploaded to other distros:

# ubuntu
http://archive.ubuntu.com/ubuntu/pool/main/l/ltsp/ltsp_(.*)\.orig\.tar\.gz

# fedora
http://kojipkgs.fedoraproject.org/packages/ltsp/ ([0-9].*)/
